Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005914opensim[REGION] Script Functionspublic2012-03-02 18:182014-07-29 13:40
ReporterGuduleLapointe 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSubuntuOS Version11.04
Product Version 
Target VersionFixed in Version 
Summary0005914: osNpcLoadAppearance not updating attachments with 0.7.3 release
DescriptionAfter upgrading some of to 0.7.3, function osNpcLoadAppearance() no longer updates attachments of NPC avatar

With osNpcCreate, notecard is fully loaded, clothes and attachments

With osNpcLoadAppearance, clothes are loaded, but attachments are not updated (attachments of the initially created NPC remain, attachments of the new notecard are nor replaced, nor attached.
Steps To ReproducePut this script in a box, then follow the steps

- touch it once to create npcA
- change appearance: visible outfits and at least one visible attachment
- touch a second time to create npcB
- touch to rezz npcA
- touch to load appearance npcB
- touch to remove current npc and rezz npcB (confirm npcB is working with osNpcCreate)
- touch a last time to remove NPC

key npc=NULL_KEY;
key npcA;
key npcB;
key avatarKey;
string currentNoteCard;

default
{
    state_entry()
    {
        llSay(0, "osLoadAppearance test");
    }
    
    touch_start(integer number)
    {
        avatarKey = llDetectedKey(0);
        if(llGetInventoryType("npcA") != INVENTORY_NOTECARD)
        {
            llSay(0, "saving npcA");
            osAgentSaveAppearance(avatarKey, "npcA");
        } else if(llGetInventoryType("npcB") != INVENTORY_NOTECARD)
        {
            llSay(0, "saving npcB");
            osAgentSaveAppearance(avatarKey, "npcB");
        } else if(npc == NULL_KEY)
        {
            llSay(0, "rezzing npcA");
            npc = osNpcCreate("Test", "NPC", llGetPos() , "npcA");
            currentNoteCard = "npcA";
        } else if (currentNoteCard == "npcA")
        {
            llSay(0, "loading appearance npcB");
            osNpcLoadAppearance(npc, "npcB");
            currentNoteCard = "npcB";
        } else if (currentNoteCard == "npcB")
        {
            llSay(0, "removing Test NPC");
            osNpcRemove(npc);
            llSay(0, "rezzing new npcB");
            npc = osNpcCreate("Test", "NPC", llGetPos() , "npcB");
            currentNoteCard = "stop";
        } else {
            llSay(0, "removing NPC and notecards");
            osNpcRemove(npc);
            llRemoveInventory("npcA");
            llRemoveInventory("npcB");
            npc = NULL_KEY;
       }
    }
}
Additional InformationLog do not raise any error


My config is currently:
- robust serverc7dd7b1 r17199 2011-11-06
- some sims withc7dd7b1 r17199 2011-11-06
   -> In those, the loadAppearance works well, attachment are added/removed/replaced as needed when loading a new notecard
- some test sims with new 0.7.3 release (connected to same grid)
   -> In those, the loadAppearance just updates clothes and body, not attachments

In both configs, notecards are loaded correctly upon NPC creation.

I can't check now if this bug is related or not to fact that robust is not yet updated
TagsNo tags attached.
Git Revision or version number0.7.3 release
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Script Engine
EnvironmentMono / Linux32
Mono Version2.10
Viewer
Attached Files

- Relationships

-  Notes
(0021025)
justincc (administrator)
2012-03-05 17:36

Fixed in git master d44b7c4, 0.7.3-post-fixes 824318a

- Issue History
Date Modified Username Field Change
2012-03-02 18:18 GuduleLapointe New Issue
2012-03-05 16:49 justincc Assigned To => justincc
2012-03-05 16:49 justincc Status new => assigned
2012-03-05 17:36 justincc Note Added: 0021025
2012-03-05 17:36 justincc Status assigned => resolved
2012-03-05 17:36 justincc Resolution open => fixed
2014-07-29 13:40 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker